Bug 1272288 - "Couldn't find MiqServer with id=0 [ops/x_button]" when starting the Scheduler role on a different appliance
"Couldn't find MiqServer with id=0 [ops/x_button]" when starting the Schedule...
Status: CLOSED WONTFIX
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.4.0
Unspecified Unspecified
medium Severity medium
: GA
: cfme-future
Assigned To: Dan Clarizio
Alex Newman
schedule:distributed
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-15 21:21 EDT by bmorriso
Modified: 2017-06-07 14:43 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-07 14:43:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sshveta: automate_bug? (bmorriso)


Attachments (Terms of Use)

  None (edit)
Description bmorriso 2015-10-15 21:21:06 EDT
Description of problem:

In a configuration with two appliances in one region, starting up the scheduler role (or any of the other region-level singleton roles) on the appliance where it isn't already active causes this error message to appear in the UI:

"Couldn't find MiqServer with id=0 [ops/x_button]" 

The scheduler role is still successfully activated.

Version-Release number of selected component (if applicable):
5.4.3.0.20151001120745_d11cf59

How reproducible:
always

Steps to Reproduce:
1. Navigate to Configure > Configuration > Diagnostics > 
CFME Region: Region 0 > Roles By Server
2. Start the Scheduler Role on the appliance where it is inactive.
3. 

Actual results:
An error page appears with the message "Couldn't find MiqServer with id=0 [ops/x_button]" 


Expected results:
Remain on the diagnostics page. 

Additional info:
Comment 2 Dave Johnson 2015-10-26 14:31:55 EDT
Blair, is this the case on 5.5 as well?  Is the workaround to go to the individual appliance and set the role?
Comment 3 Chris Pelland 2017-06-07 14:43:11 EDT
This BZ has been closed since it was opened on a version of CloudForms that has reached the end of its lifecycle.  If you find that this bug is still relevant, please open a new BZ against the relevant supported version of CloudForms.

Note You need to log in before you can comment on or make changes to this bug.